unit ChangeDestFormu;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FileCtrl, ExtCtrls;

type
  TChangeDestForm = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    DirectoryListBox: TDirectoryListBox;
    DrivePanel: TPanel;
    DriveComboBox: TDriveComboBox;
    PathPanel: TPanel;
    Label2: TLabel;
    PathEdit: TEdit;
    CancelButton: TButton;
    OkButton: TButton;
    procedure OkButtonClick(Sender: TObject);
    procedure DirectoryListBoxChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ChangeDestForm: TChangeDestForm;

implementation

{$R *.DFM}

procedure TChangeDestForm.OkButtonClick(Sender: TObject);
begin
   try
      if not DirectoryExists(PathEdit.Text) then
         if Application.MessageBox(PChar('The folder '+PathEdit.Text+' does not exist. Create the new folder?'), 'Change Destination', MB_ICONEXCLAMATION + MB_YESNO) = IDYES then begin
            ForceDirectories(PathEdit.Text);
            DirectoryListBox.Directory := PathEdit.Text;
         end;  //  end if
      ModalResult := mrOK;
   except
      Application.MessageBox('Invalid folder name. Please try again.', 'Error', MB_ICONSTOP);
      ModalResult := mrNone;
   end;  //  end try/except
end;  //  end OkButtonClick

procedure TChangeDestForm.DirectoryListBoxChange(Sender: TObject);
begin
   PathEdit.Text := DirectoryListBox.Directory;
end;

end.
